Package owl.automaton

## Class MutableAutomatonFactory

- java.lang.Object
- - owl.automaton.MutableAutomatonFactory

-     public final class MutableAutomatonFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <S> void` | `copy​(Automaton<S,​?> source, MutableAutomaton<S,​?> target)` |
    `static <S,​A extends OmegaAcceptance> MutableAutomaton<S,​A>` | `copy​(Automaton<S,​A> source)` |
    `static <S,​A extends OmegaAcceptance> MutableAutomaton<S,​A>` | `create​(A acceptance, ValuationSetFactory vsFactory)` | Creates an empty automaton with given acceptance condition.
    `static <S,​A extends OmegaAcceptance> MutableAutomaton<S,​A>` | `create​(A acceptance, ValuationSetFactory vsFactory, Collection<S> initialStates, BiFunction<S,​BitSet,​Edge<S>> successors, Function<S,​BitSet> alphabet)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### copy

          public static <S,​A extends OmegaAcceptance> MutableAutomaton<S,​A> copy​(Automaton<S,​A> source)

    - #### copy

          public static <S> void copy​(Automaton<S,​?> source,
                                      MutableAutomaton<S,​?> target)

    - #### create

          public static <S,​A extends OmegaAcceptance> MutableAutomaton<S,​A> create​(A acceptance,
                                                                                               ValuationSetFactory vsFactory)

      Creates an empty automaton with given acceptance condition. The `valuationSetFactory` is used as transition backend.
      Type Parameters:
        `S` - The states of the automaton.
        `A` - The acceptance condition of the automaton.
      Parameters:
        `acceptance` - The acceptance of the new automaton.
        `vsFactory` - The alphabet.
      Returns:
        Empty automaton with the specified parameters.

    - #### create

          public static <S,​A extends OmegaAcceptance> MutableAutomaton<S,​A> create​(A acceptance,
                                                                                               ValuationSetFactory vsFactory,
                                                                                               Collection<S> initialStates,
                                                                                               BiFunction<S,​BitSet,​Edge<S>> successors,
                                                                                               Function<S,​BitSet> alphabet)